Subject: [alpine-aports] [PATCH] testing/bluefish: new aportB

From: ScrumpyJack <[email-masked]>
Date: Fri, 12 Jun 2015 12:32:27 +0000 (UTC)

Bluefish is an editor targeted towards programmers and webdevelopers
http://bluefish.openoffice.nl
---
 testing/bluefish/APKBUILD | 43 +++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 43 insertions(+)
 create mode 100644 testing/bluefish/APKBUILD

diff --git a/testing/bluefish/APKBUILD b/testing/bluefish/APKBUILD
new file mode 100644
index 0000000..364cf77
--- /dev/null
+++ b/testing/bluefish/APKBUILD
@@ -0,0 +1,43 @@
+# Contributor: ScrumpyJack <[email-masked]>
+# Maintainer:
+pkgname=bluefish
+pkgver=2.2.7
+pkgrel=0
+pkgdesc="Bluefish is an editor targeted towards programmers and webdevelopers"
+url="http://bluefish.openoffice.nl/"
+arch="all"
+license="GPL"
+depends=""
+depends_dev=""
+makedepends="libtool libxml2-dev python-dev gtk+3.0-dev enchant-dev \
+   gucharmap-dev"
+install=""
+subpackages="$pkgname-lang $pkgname-doc"
+source="http://downloads.sourceforge.net/project/${pkgname}/${pkgname}/${pkgver}/${pkgname}-${pkgver}.tar.bz2"
+
+_builddir=${srcdir}/${pkgname}-${pkgver}
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+        ./configure --prefix=/usr || return 1
+        make
+}
+
+package() {
+        cd "$_builddir"
+        make DESTDIR="$pkgdir" install
+
+}
+
+md5sums="533c3ef1e7d5ec369893c0fd4094605c  bluefish-2.2.7.tar.bz2"
+sha256sums="23534b73b929754e15b86d12904ca3ffc1b069da5dcd4f34a67e842fe9e858df  bluefish-2.2.7.tar.bz2"
+sha512sums="8b9eca746062d47d646805b02370eb9529d449d6a6a9f175353022d9df9060a9736430b6579cdd52717caab75661204e4c940c4a78fb8f6e29845e84a65395ce  bluefish-2.2.7.tar.bz2"
-- 
2.4.3

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---